summaryrefslogtreecommitdiff
path: root/scripts/xdt-commit
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/xdt-commit')
-rwxr-xr-xscripts/xdt-commit10
1 files changed, 5 insertions, 5 deletions
diff --git a/scripts/xdt-commit b/scripts/xdt-commit
index 664b6b2..cce9164 100755
--- a/scripts/xdt-commit
+++ b/scripts/xdt-commit
@@ -28,7 +28,7 @@
##
## Check if SVN is installed
##
-if ! svn --version &> /dev/null; then
+if ! type svn &> /dev/null; then
echo "Subversion needs to be installed."
exit 1
fi
@@ -63,13 +63,13 @@ for CHANGELOG in $CHANGELOGS; do
# Make sure the file exists
if [ -f "$CHANGELOG" ]; then
# Determine SVN status
- STATUS=$(svn status ${CHANGELOG})
+ STATUS=$(svn status "${CHANGELOG}")
STATUS=${STATUS:0:1}
# Check if file is versioned
if [ "$STATUS" != "?" ]; then
# Parse output
- MSG=$(svn diff ${CHANGELOG} | grep -P '^\+\t' | sed 's/^+//')
+ MSG=$(svn diff "${CHANGELOG}" | grep -P '^\+\t' | sed 's/^+//')
# Append to commit message (and insert newline between ChangeLogs)
if [ -z "$COMMIT_MSG" ]; then
@@ -87,7 +87,7 @@ done
## files is empty, ask the user to enter a commit message himself
##
if [ -n "$COMMIT_MSG" ]; then
- svn commit $FILES -m "$COMMIT_MSG"
+ svn commit "$FILES" -m "$COMMIT_MSG"
else
- svn commit $FILES
+ svn commit "$FILES"
fi